import create from '../../_styles/utils/create-component-base'
import commonVariables from './_common'

export default create({
  theme: 'light',
  name: 'Button',
  getDerivedVariables ({ base, derived }) {
    return {
      ...commonVariables(base, derived),
      opacityDisabled: derived.opacityDisabled,
      // default type
      color: 'transparent',
      colorHover: 'transparent',
      colorPressed: 'transparent',
      colorFocus: 'transparent',
      colorDisabled: 'transparent',
      textColor: derived.textColor2,
      textColorHover: derived.primaryColorHover,
      textColorPressed: derived.primaryColorPressed,
      textColorFocus: derived.primaryColorHover,
      textColorDisabled: derived.textColor2,
      textColorText: derived.textColor2,
      textColorTextHover: derived.primaryColorHover,
      textColorTextPressed: derived.primaryColorPressed,
      textColorTextFocus: derived.primaryColorHover,
      textColorTextDisabled: derived.textColor2,
      textColorGhost: derived.textColor2,
      textColorGhostHover: derived.primaryColorHover,
      textColorGhostPressed: derived.primaryColorPressed,
      textColorGhostFocus: derived.primaryColorHover,
      textColorGhostDisabled: derived.textColor2,
      borderColor: derived.borderColorOverlay,
      borderColorHover: derived.primaryColorHover,
      borderColorPressed: derived.primaryColorPressed,
      borderColorFocus: derived.primaryColorHover,
      borderColorDisabled: derived.borderColorOverlay,
      rippleColor: derived.primaryColor,
      iconColor: derived.textColor2,
      // primary
      colorPrimary: derived.primaryColor,
      colorPrimaryHover: derived.primaryColorHover,
      colorPrimaryPressed: derived.primaryColorPressed,
      colorPrimaryFocus: derived.primaryColorHover,
      colorPrimaryDisabled: derived.primaryColor,
      textColorPrimary: derived.baseColor,
      textColorPrimaryHover: derived.baseColor,
      textColorPrimaryPressed: derived.baseColor,
      textColorPrimaryFocus: derived.baseColor,
      textColorPrimaryDisabled: derived.baseColor,
      textColorPrimaryText: derived.textColor2,
      textColorPrimaryTextHover: derived.primaryColorHover,
      textColorPrimaryTextPressed: derived.primaryColorPressed,
      textColorPrimaryTextFocus: derived.primaryColorHover,
      textColorPrimaryTextDisabled: derived.textColor2,
      textColorPrimaryGhost: derived.primaryColor,
      textColorPrimaryGhostHover: derived.primaryColorHover,
      textColorPrimaryGhostPressed: derived.primaryColorPressed,
      textColorPrimaryGhostFocus: derived.primaryColorHover,
      textColorPrimaryGhostDisabled: derived.primaryColor,
      borderColorPrimary: derived.primaryColor,
      borderColorPrimaryHover: derived.primaryColorHover,
      borderColorPrimaryPressed: derived.primaryColorPressed,
      borderColorPrimaryFocus: derived.primaryColorHover,
      borderColorPrimaryDisabled: derived.primaryColor,
      rippleColorPrimary: derived.primaryColor,
      iconColorPrimary: derived.primaryColor,
      // info
      colorInfo: derived.infoColor,
      colorInfoHover: derived.infoColorHover,
      colorInfoPressed: derived.infoColorPressed,
      colorInfoFocus: derived.infoColorHover,
      colorInfoDisabled: derived.infoColor,
      textColorInfo: derived.baseColor,
      textColorInfoHover: derived.baseColor,
      textColorInfoPressed: derived.baseColor,
      textColorInfoFocus: derived.baseColor,
      textColorInfoDisabled: derived.baseColor,
      textColorInfoText: derived.textColor2,
      textColorInfoTextHover: derived.infoColorHover,
      textColorInfoTextPressed: derived.infoColorPressed,
      textColorInfoTextFocus: derived.infoColorHover,
      textColorInfoTextDisabled: derived.textColor2,
      textColorInfoGhost: derived.infoColor,
      textColorInfoGhostHover: derived.infoColorHover,
      textColorInfoGhostPressed: derived.infoColorPressed,
      textColorInfoGhostFocus: derived.infoColorHover,
      textColorInfoGhostDisabled: derived.infoColor,
      borderColorInfo: derived.infoColor,
      borderColorInfoHover: derived.infoColorHover,
      borderColorInfoPressed: derived.infoColorPressed,
      borderColorInfoFocus: derived.infoColorHover,
      borderColorInfoDisabled: derived.infoColor,
      rippleColorInfo: derived.infoColor,
      iconColorInfo: derived.infoColor,
      // success
      colorSuccess: derived.successColor,
      colorSuccessHover: derived.successColorHover,
      colorSuccessPressed: derived.successColorPressed,
      colorSuccessFocus: derived.successColorHover,
      colorSuccessDisabled: derived.successColor,
      textColorSuccess: derived.baseColor,
      textColorSuccessHover: derived.baseColor,
      textColorSuccessPressed: derived.baseColor,
      textColorSuccessFocus: derived.baseColor,
      textColorSuccessDisabled: derived.baseColor,
      textColorSuccessText: derived.textColor2,
      textColorSuccessTextHover: derived.successColorHover,
      textColorSuccessTextPressed: derived.successColorPressed,
      textColorSuccessTextFocus: derived.successColorHover,
      textColorSuccessTextDisabled: derived.textColor2,
      textColorSuccessGhost: derived.successColor,
      textColorSuccessGhostHover: derived.successColorHover,
      textColorSuccessGhostPressed: derived.successColorPressed,
      textColorSuccessGhostFocus: derived.successColorHover,
      textColorSuccessGhostDisabled: derived.successColor,
      borderColorSuccess: derived.successColor,
      borderColorSuccessHover: derived.successColorHover,
      borderColorSuccessPressed: derived.successColorPressed,
      borderColorSuccessFocus: derived.successColorHover,
      borderColorSuccessDisabled: derived.successColor,
      rippleColorSuccess: derived.successColor,
      iconColorSuccess: derived.successColor,
      // warning
      colorWarning: derived.warningColor,
      colorWarningHover: derived.warningColorHover,
      colorWarningPressed: derived.warningColorPressed,
      colorWarningFocus: derived.warningColorHover,
      colorWarningDisabled: derived.warningColor,
      textColorWarning: derived.baseColor,
      textColorWarningHover: derived.baseColor,
      textColorWarningPressed: derived.baseColor,
      textColorWarningFocus: derived.baseColor,
      textColorWarningDisabled: derived.baseColor,
      textColorWarningText: derived.textColor2,
      textColorWarningTextHover: derived.warningColorHover,
      textColorWarningTextPressed: derived.warningColorPressed,
      textColorWarningTextFocus: derived.warningColorHover,
      textColorWarningTextDisabled: derived.textColor2,
      textColorWarningGhost: derived.warningColor,
      textColorWarningGhostHover: derived.warningColorHover,
      textColorWarningGhostPressed: derived.warningColorPressed,
      textColorWarningGhostFocus: derived.warningColorHover,
      textColorWarningGhostDisabled: derived.warningColor,
      borderColorWarning: derived.warningColor,
      borderColorWarningHover: derived.warningColorHover,
      borderColorWarningPressed: derived.warningColorPressed,
      borderColorWarningFocus: derived.warningColorHover,
      borderColorWarningDisabled: derived.warningColor,
      rippleColorWarning: derived.warningColor,
      iconColorWarning: derived.warningColor,
      // error
      colorError: derived.errorColor,
      colorErrorHover: derived.errorColorHover,
      colorErrorPressed: derived.errorColorPressed,
      colorErrorFocus: derived.errorColorHover,
      colorErrorDisabled: derived.errorColor,
      textColorError: derived.baseColor,
      textColorErrorHover: derived.baseColor,
      textColorErrorPressed: derived.baseColor,
      textColorErrorFocus: derived.baseColor,
      textColorErrorDisabled: derived.baseColor,
      textColorErrorText: derived.textColor2,
      textColorErrorTextHover: derived.errorColorHover,
      textColorErrorTextPressed: derived.errorColorPressed,
      textColorErrorTextFocus: derived.errorColorHover,
      textColorErrorTextDisabled: derived.textColor2,
      textColorErrorGhost: derived.errorColor,
      textColorErrorGhostHover: derived.errorColorHover,
      textColorErrorGhostPressed: derived.errorColorPressed,
      textColorErrorGhostFocus: derived.errorColorHover,
      textColorErrorGhostDisabled: derived.errorColor,
      borderColorError: derived.errorColor,
      borderColorErrorHover: derived.errorColorHover,
      borderColorErrorPressed: derived.errorColorPressed,
      borderColorErrorFocus: derived.errorColorHover,
      borderColorErrorDisabled: derived.errorColor,
      rippleColorError: derived.errorColor,
      iconColorError: derived.errorColor
    }
  }
})
